=== modified file 'README'
--- README	2009-10-17 09:28:42 +0000
+++ README	2009-10-21 10:51:40 +0000
@@ -99,6 +99,7 @@
 You need to have the plugin installed and each branch indexed to allow
 searching on branches.
 
+
 SUPPORT
 -------
 
@@ -121,4 +122,3 @@
 and run in the loggerhead directory:
 
     nosetests
-

=== modified file 'loggerhead/apps/error.py'
--- loggerhead/apps/error.py	2008-10-24 02:26:05 +0000
+++ loggerhead/apps/error.py	2009-10-17 08:47:38 +0000
@@ -53,6 +53,6 @@
 
 
 def errapp(environ, start_response):
-    '''Default (and trivial) error handling WSGI application.'''
+    """Default (and trivial) error handling WSGI application."""
     c = ErrorUI(environ['branch'], environ['exc_info'])
     return c(environ, start_response)

=== modified file 'loggerhead/config.py'
--- loggerhead/config.py	2009-10-17 06:56:04 +0000
+++ loggerhead/config.py	2009-10-21 10:51:40 +0000
@@ -11,7 +11,7 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
-'''Configuration tools for Loggerhead.'''
+"""Configuration tools for Loggerhead."""
 
 from optparse import OptionParser
 import sys
@@ -46,8 +46,8 @@
                             "(defaults to 8080)."))
     parser.add_option("--host", dest="user_host",
                       help="Host Loggerhead should listen on.")
-    parser.add_option('--memory-profile', action='store_true',
-                      help='Profile the memory usage using Dozer.')
+    parser.add_option("--memory-profile", action="store_true",
+                      help="Profile the memory usage using Dozer.")
     parser.add_option("--prefix", dest="user_prefix",
                       help="Specify host prefix.")
     parser.add_option("--profile", action="store_true",
@@ -56,7 +56,7 @@
     parser.add_option("--reload", action="store_true",
                       help="Restarts the application when changing python"
                            " files. Only used for development purposes.")
-    parser.add_option('--log-folder',
+    parser.add_option("--log-folder",
                       help="The directory to place log files in.")
     parser.add_option("--version", action="store_true", dest="show_version",
                       help="Print the software version and exit")
@@ -64,13 +64,13 @@
                       help="Serve YUI from Yahoo!'s CDN")
     parser.add_option("--cache-dir", dest="sql_dir",
                       help="The directory to place the SQL cache in")
-    parser.add_option('--allow-writes', action='store_true',
+    parser.add_option("--allow-writes", action="store_true",
                       help="Allow writing to the Bazaar server.")
     return parser
 
 
 class LoggerheadConfig(object):
-    '''A configuration object.'''
+    """A configuration object."""
 
     def __init__(self, argv=None):
         if argv is None:
@@ -85,8 +85,9 @@
 
     def get_option(self, option):
         """Get the value for the config option, either
-           from ~/.bazaar/bazaar.conf or from the command line.
-           All loggerhead-specific settings start with 'http_'"""
+        from ~/.bazaar/bazaar.conf or from the command line.
+        All loggerhead-specific settings start with 'http_'
+        """
         global_config = config.GlobalConfig().get_user_option('http_'+option)
         cmd_config = getattr(self._options, option)
         if global_config is not None and (

=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2009-03-02 05:44:20 +0000
+++ loggerhead/controllers/__init__.py	2009-10-17 08:59:33 +0000
@@ -70,7 +70,7 @@
         kwargs = dict(parse_querystring(environ))
         util.set_context(kwargs)
         args = []
-        while 1:
+        while True:
             arg = path_info_pop(environ)
             if arg is None:
                 break

=== modified file 'loggerhead/controllers/diff_ui.py'
--- loggerhead/controllers/diff_ui.py	2009-05-13 14:03:48 +0000
+++ loggerhead/controllers/diff_ui.py	2009-10-17 08:59:33 +0000
@@ -38,7 +38,7 @@
         z = time.time()
 
         args = []
-        while 1:
+        while True:
             arg = path_info_pop(environ)
             if arg is None:
                 break

=== modified file 'loggerhead/controllers/download_ui.py'
--- loggerhead/controllers/download_ui.py	2009-10-17 06:35:33 +0000
+++ loggerhead/controllers/download_ui.py	2009-10-17 09:21:55 +0000
@@ -37,7 +37,7 @@
         h = self._history
 
         args = []
-        while 1:
+        while True:
             arg = path_info_pop(environ)
             if arg is None:
                 break
@@ -63,7 +63,7 @@
             ('Content-Type', mime_type),
             ('Content-Length', len(content)),
             ('Content-Disposition',
-             'attachment; filename*=utf-8\'\'%s' % (encoded_filename,)),
+             "attachment; filename*=utf-8''%s" % (encoded_filename,)),
             ]
         start_response('200 OK', headers)
         return [content]

=== modified file 'loggerhead/controllers/error_ui.py'
--- loggerhead/controllers/error_ui.py	2008-12-05 18:52:44 +0000
+++ loggerhead/controllers/error_ui.py	2009-10-17 08:47:38 +0000
@@ -28,22 +28,19 @@
     template_path = 'loggerhead.templates.error'
 
     def __init__(self, branch, exc_info):
-        super(ErrorUI, self).__init__(branch, lambda:None)
+        super(ErrorUI, self).__init__(branch, lambda: None)
         self.exc_info = exc_info
 
     def get_values(self, path, kwargs, response):
         exc_type, exc_object, exc_tb = self.exc_info
         description = StringIO()
         traceback.print_exception(exc_type, exc_object, None, file=description)
-        directory_breadcrumbs = (
-            util.directory_breadcrumbs(
-                self._branch.friendly_name,
-                self._branch.is_root,
-                'changes'))
+        directory_breadcrumbs = util.directory_breadcrumbs(
+            self._branch.friendly_name, self._branch.is_root, 'changes')
         return {
             'branch': self._branch,
             'error_title': ('An unexpected error occurred while'
-                            'proccesing the request:'),
+                            'processing the request:'),
             'error_description': description.getvalue(),
             'directory_breadcrumbs': directory_breadcrumbs,
         }

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2009-10-17 06:35:33 +0000
+++ loggerhead/history.py	2009-10-17 08:59:33 +0000
@@ -305,7 +305,7 @@
                 r.add(self._rev_info[i][0][1])
                 i += 1
             return r
-        while 1:
+        while True:
             if bzrlib.revision.is_null(revid):
                 return
             if introduced_revisions(revid) & revid_set:
@@ -669,7 +669,7 @@
         entry.changes = changes
 
     def get_file(self, file_id, revid):
-        "returns (path, filename, data)"
+        """Returns (path, filename, file contents)"""
         inv = self.get_inventory(revid)
         inv_entry = inv[file_id]
         rev_tree = self._branch.repository.revision_tree(inv_entry.revision)
@@ -704,8 +704,8 @@
         bzrlib.delta.report_changes(new_tree.iter_changes(old_tree), reporter)
 
         return util.Container(
-            added=sorted(reporter.added, key=lambda x:x.filename),
-            renamed=sorted(reporter.renamed, key=lambda x:x.new_filename),
-            removed=sorted(reporter.removed, key=lambda x:x.filename),
-            modified=sorted(reporter.modified, key=lambda x:x.filename),
-            text_changes=sorted(reporter.text_changes, key=lambda x:x.filename))
+            added=sorted(reporter.added, key=lambda x: x.filename),
+            renamed=sorted(reporter.renamed, key=lambda x: x.new_filename),
+            removed=sorted(reporter.removed, key=lambda x: x.filename),
+            modified=sorted(reporter.modified, key=lambda x: x.filename),
+            text_changes=sorted(reporter.text_changes, key=lambda x: x.filename))

=== modified file 'loggerhead/middleware/profile.py'
--- loggerhead/middleware/profile.py	2009-10-17 06:35:33 +0000
+++ loggerhead/middleware/profile.py	2009-10-17 08:47:38 +0000
@@ -27,7 +27,7 @@
         try:
             ret, stats = profile(self.__run_app, environ, start_response)
             self.__count += 1
-            stats.save("%d-stats.callgrind" % self.__count, format="callgrind")
+            stats.save("%d-stats.callgrind" % (self.__count,), format="callgrind")
             return ret
         finally:
             self.lock.release()

=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2009-10-17 06:35:33 +0000
+++ loggerhead/templatefunctions.py	2009-10-17 08:47:38 +0000
@@ -56,7 +56,7 @@
                     url, entry.revno, filename, '#' + filename)
     else:
         def file_link(filename):
-            return '<a href="%s%s" title="View changes to %s in revision %s">%s</a>'%(
+            return '<a href="%s%s" title="View changes to %s in revision %s">%s</a>' % (
                 url(['/revision', entry.revno]), '#' + filename, cgi.escape(filename),
                 cgi.escape(entry.revno), cgi.escape(filename))
     return _pt('revisionfilechanges').expand(
@@ -100,7 +100,7 @@
         extra = ' ' + entry.branch_nick
     else:
         extra = ''
-    return '(%s%s)'%(entry.revno, extra)
+    return '(%s%s)' % (entry.revno, extra)
 
 
 @templatefunc
@@ -122,12 +122,12 @@
 
 @templatefunc
 def annotate_link(url, revno, path):
-    return '<a href="%s" title="Annotate %s">%s</a>'%(
+    return '<a href="%s" title="Annotate %s">%s</a>' % (
         url(['/annotate', revno, path]), cgi.escape(path), cgi.escape(path))
 
 @templatefunc
 def revision_link(url, revno, path, frag=''):
-    return '<a href="%s%s" title="View changes to %s in revision %s">%s</a>'%(
+    return '<a href="%s%s" title="View changes to %s in revision %s">%s</a>' % (
         url(['/revision', revno, path]), frag, cgi.escape(path),
         cgi.escape(revno), cgi.escape(path))
 

=== modified file 'loggerhead/wholehistory.py'
--- loggerhead/wholehistory.py	2009-10-17 06:35:33 +0000
+++ loggerhead/wholehistory.py	2009-10-21 10:37:09 +0000
@@ -51,8 +51,8 @@
                             (branch.get_config().get_nickname(),))
 
     graph = branch.repository.get_graph()
-    parent_map = dict(((key, value) for key, value in
-         graph.iter_ancestry([last_revid]) if value is not None))
+    parent_map = dict((key, value) for key, value in
+         graph.iter_ancestry([last_revid]) if value is not None)
 
     _revision_graph = _strip_NULL_ghosts(parent_map)
 
@@ -80,6 +80,6 @@
             if revid not in c[1]:
                 c[1] = c[1] + (revid,)
 
-    log.info('built revision graph cache: %r secs' % (time.time() - z))
+    log.info('built revision graph cache: %r secs' % (time.time() - z,))
 
     return (_rev_info, _rev_indices)

